org.apache.felix.threaddump.internal

## Class ThreadDumpActivator

- java.lang.Object
- - org.apache.felix.threaddump.internal.ThreadDumpActivator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public final class ThreadDumpActivator
    extends java.lang.Object
    implements org.osgi.framework.BundleActivator

OSGi bundle activator which takes care of (un)binding the Thread Dump Inventory Printer service.

### Constructor Summary

Constructors
Constructor and Description
`ThreadDumpActivator()`

### Method Summary

Methods
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadDumpActivator

    public ThreadDumpActivator()

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`

#### stop

    public void stop(org.osgi.framework.BundleContext context)

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`